%% showjh.m
%%
%% Show the joint histogram in different translation

a = imread('images/cameraman.png');

X = [0 1 30];

clf;
cnt=1;
for x=X
	pab = jointhistogram(a,transformation(a,x,0,0));
	subplot(1,3,cnt); imshow(pab*1024); title(['dx=' num2str(X(cnt))]);
	cnt = cnt+1;
end

print -dbmp256 'jointhistogram.bmp';
%print -deps 'jointhistogram.eps';
