%% correlation.m
%% Herve Lombaert, Jeremie Theriault, December 2th, 2005
%%
%% Correlation between two images
%% -a: image a
%% -b: image b
%% The two images must have the same size

function corr = correlation(a, b)

  if size(a) ~= size(b), disp('a,b must have the same size'); end;

  a = im2double(a(:)); % avoid overflow, convert to double
  b = im2double(b(:));
  corr = (a' * b);

end
